## NAME

g.dirseps - Internal GRASS utility for converting directory separator characters.
Converts any directory separator characters in the input string to or from native host format, and writes the changed path to standard output. Useful in scripts for Windows compatibility.

## KEYWORDS

general

## SYNOPSIS

g.dirseps
g.dirseps help
g.dirseps [-hg] [path=string] [--verbose] [--quiet]

### Flags:

-h
  Convert directory separators to native host format
-g
  Convert directory separators to GRASS internal format
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

path=string
  Path to be converted (read from stdin if not specified)

## DESCRIPTION

g.dirseps is an internal tool only. It copies input string to stdout, changing directory separator characters as specified by flags. It is used for interoperability between Unix and MS-Windows pathnames.

## AUTHOR

Paul Kelly

Last changed: $Date: 2007-02-11 21:44:33 +0100 (Sun, 11 Feb 2007) $

Main index - general index - Full index

© 2003-2010 GRASS Development Team